summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorluckytyphlosion <10688458+luckytyphlosion@users.noreply.github.com>2022-01-26 18:17:00 -0500
committerGitHub <noreply@github.com>2022-01-26 18:17:00 -0500
commitfaa413eb0e76fad87875b7680f77e0c43df694cd (patch)
tree43a1382dd7f28807c7b710d383a412254c15ab82 /build.sh
parent91078c3e4f446b747d5f931f0c4eb34463077ae9 (diff)
Fix build.sh on macOSHEADmaster
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index 98f6249..a1671fd 100755
--- a/build.sh
+++ b/build.sh
@@ -4,7 +4,7 @@ CCOPT=
CXXOPT=
# error if devkitarm is not installed and binutils-arm-none-eabi is not installed
-if ! ([ -v DEVKITARM ] && [ -d "$DEVKITARM/bin" ]) && ! (command -v arm-none-eabi-as &> /dev/null && command -v arm-none-eabi-ar &> /dev/null) ; then
+if ! ([ -n "$DEVKITARM" ] && [ -d "$DEVKITARM/bin" ]) && ! (command -v arm-none-eabi-as &> /dev/null && command -v arm-none-eabi-ar &> /dev/null) ; then
echo "Could not find a binutils installation! Re-read the instructions and make sure you've installed either devkitARM or binutils-arm-none-eabi, depending on your system."
exit 1
fi